package com.chenyang.nse.bussiness.exception;

import com.chenyang.nse.bussiness.commmon.json.ErrCode;

public class CustomException extends RuntimeException {
   private String code;
   private String msg;

   public CustomException(ErrCode errCode) {
      this.code = errCode.getCode();
      this.msg = errCode.getDesc();
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(final String code) {
      this.code = code;
   }

   public String getMsg() {
      return this.msg;
   }

   public void setMsg(final String msg) {
      this.msg = msg;
   }
}
